package com.ynfy.buss.course.coursecatalog.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description: course_catalog
 * @Author: jeecg-boot
 * @Date: 2023-10-25
 * @Version: V1.0
 */
@Data
@TableName("course_catalog")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "course_catalog对象", description = "course_catalog")
public class CourseCatalog implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 父id
     */
    @Excel(name = "父id", width = 15)
    @ApiModelProperty(value = "父id")
    private String parentId;
    /**
     * 课程id
     */
    @Excel(name = "课程id", width = 15)
    @ApiModelProperty(value = "课程id")
    private String courseId;
    /**
     * 目录或任务名称
     */
    @Excel(name = "目录或任务名称", width = 15)
    @ApiModelProperty(value = "目录或任务名称")
    private String name;
    /**
     * 目录介绍
     */
    @Excel(name = "目录介绍", width = 15)
    @ApiModelProperty(value = "目录介绍")
    private String catalogIntro;
    /**
     * 1:目录，2:任务
     */
    @Excel(name = "1:目录，2:任务", width = 15)
    @ApiModelProperty(value = "1:目录，2:任务")
    private Integer type;
    /**
     * 资源类型  1:视频，2:文档
     */
    @Excel(name = "资源类型  1:视频，2:文档", width = 15)
    @ApiModelProperty(value = "资源类型  1:视频，2:文档")
    private Integer resourceType;
    /**
     * 资源id
     */
    @Excel(name = "资源id", width = 15)
    @ApiModelProperty(value = "资源id")
    private String resourceId;
    /**
     * 视频时长
     */
    @Excel(name = "视频时长", width = 15)
    @ApiModelProperty(value = "视频时长")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long videoHour;
    /**
     * 必学时长
     */
    @Excel(name = "必学时长", width = 15)
    @ApiModelProperty(value = "必学时长")
    private Integer mustLearnTime;

    @Excel(name = "排序", width = 15)
    @ApiModelProperty(value = "排序")
    private Integer sort;

    /**
     * createTime
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * createBy
     */
    @ApiModelProperty(value = "createBy")
    private String createBy;
    /**
     * updateTime
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
    /**
     * updateBy
     */
    @ApiModelProperty(value = "updateBy")
    private String updateBy;

    @TableField(exist = false)
    private List<CourseCatalog> childList;

}
