package com.ynfy.buss.exam.examstatistics.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 考试统计表
 * @Author: jeecg-boot
 * @Date: 2023-03-20
 * @Version: V1.0
 */
@Data
@TableName("exam_statistics")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "exam_statistics对象", description = "考试统计表")
public class ExamStatistics implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 创建日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**
     * 更新日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
    /**
     * 考试id
     */
    @Excel(name = "考试id", width = 15)
    @ApiModelProperty(value = "所属部门")
    private String examId;
    /**
     * 应考人数
     */
    @Excel(name = "应考人数", width = 15)
    @ApiModelProperty(value = "应考人数")
    private Integer mustExaminee;
    /**
     * 实考人数
     */
    @Excel(name = "实考人数", width = 15)
    @ApiModelProperty(value = "实考人数")
    private Integer actualExaminee;
    /**
     * 缺考人数
     */
    @Excel(name = "缺考人数", width = 15)
    @ApiModelProperty(value = "缺考人数")
    private Integer missExaminee;
    /**
     * 参加人次
     */
    @Excel(name = "参加人次", width = 15)
    @ApiModelProperty(value = "参加人次")
    private Integer participant;
    /**
     * 及格人数
     */
    @Excel(name = "及格人数", width = 15)
    @ApiModelProperty(value = "及格人数")
    private Integer pass;
    /**
     * 不及格人数
     */
    @Excel(name = "不及格人数", width = 15)
    @ApiModelProperty(value = "不及格人数")
    private Integer noPass;
    /**
     * 正确率
     */
    @Excel(name = "正确率", width = 15)
    @ApiModelProperty(value = "正确率")
    private Double accuracy;
    /**
     * 最高分
     */
    @Excel(name = "最高分", width = 15)
    @ApiModelProperty(value = "最高分")
    private Double maxScore;
    /**
     * 平均分
     */
    @Excel(name = "平均分", width = 15)
    @ApiModelProperty(value = "平均分")
    private Double avgScore;
    /**
     * 最低分
     */
    @Excel(name = "最低分", width = 15)
    @ApiModelProperty(value = "最低分")
    private Double minScore;

    /**
     * 考试名称
     */
    @Excel(name = "考试名称", width = 15)
    @ApiModelProperty(value = "考试名称")
    private String examTitle;

    /**
     * 考试状态
     */
    @Excel(name = "考试状态", width = 15)
    @ApiModelProperty(value = "考试状态")
    @Dict(dicCode = "exam_state")
    private Integer examState;

    /**
     * 实考人数占比
     */
    @Excel(name = "实考人数占比", width = 15)
    @ApiModelProperty(value = "实考人数占比")
    private Double actualPercent;

    /**
     * 缺考人数占比
     */
    @Excel(name = "缺考人数占比", width = 15)
    @ApiModelProperty(value = "缺考人数占比")
    private Double missPercent;

    /**
     * 通过占比
     */
    @Excel(name = "通过占比", width = 15)
    @ApiModelProperty(value = "通过占比")
    private Double passPercent;

    /**
     * 不通过占比
     */
    @Excel(name = "不通过占比", width = 15)
    @ApiModelProperty(value = "不通过占比")
    private Double nopassPercent;

}
