package com.ynfy.buss.exam.paperquestionanswer.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;

/**
 * @Description: 试卷试题答案
 * @Author: jeecg-boot
 * @Date: 2023-04-05
 * @Version: V1.0
 */
@Data
@TableName("paper_question_answer")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "paper_question_answer对象", description = "试卷试题答案")
public class PaperQuestionAnswer implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
    /**
     * 试卷id
     */
    @Excel(name = "试卷id", width = 15)
    @ApiModelProperty(value = "试卷id")
    private String paperId;
    /**
     * 题目id
     */
    @Excel(name = "题目id", width = 15)
    @ApiModelProperty(value = "题目id")
    private String questionId;
    /**
     * 答案id
     */
    @Excel(name = "答案id", width = 15)
    @ApiModelProperty(value = "答案id")
    private String answerId;
    /**
     * 漏选给分的分值
     */
    @Excel(name = "漏选给分的分值", width = 15)
    @ApiModelProperty(value = "漏选给分的分值")
    private Double pathScore;
}
