package com.ynfy.buss.practice.userpractice.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ynfy.buss.practice.userpractice.entity.UserPractice;
import com.ynfy.buss.practice.userpractice.entity.dto.UserPracticeDTO;
import com.ynfy.buss.practice.userpractice.entity.dto.UserPracticeResultDTO;

import java.util.List;

/**
 * @Description: 用户练习表
 * @Author: jeecg-boot
 * @Date: 2023-11-19
 * @Version: V1.0
 */
public interface IUserPracticeService extends IService<UserPractice> {


    /**
     * 获取用户最近的练习
     *
     * @return
     */
    List<UserPractice> getRecentPractice(String repositoryId, String userId);

    String submitPractice(UserPracticeDTO dto);


    /**
     * 获取练习结果
     *
     * @return
     */
    UserPracticeResultDTO getPracticeResult(String id);

    IPage<UserPractice> selectPageList(IPage<UserPractice> page, UserPractice userPractice);

    /**
     * 最近练习
     *
     * @param limit
     * @param userId
     * @return
     */
    List<UserPractice> listLatestPractice(Integer limit, String userId);
}
